Skip to content
Get started

Markets

Get market overview
GET/api/v1/markets
Get market params
GET/api/v1/markets/config
Lookup merged market data by asset
GET/api/v1/markets/merged/lookup
ModelsExpand Collapse
GlobalMarketConfig = object { dynamic_discount_width, extra, flash_loan_fee, 10 more }
dynamic_discount_width: string

The required change in account health below 1.0 to achieve the maximum discount. should be ~= 0.02 must be <= 1.0

extra: object { text }
text: object { flash_loan_fee, liquidation_fee, stake_collateral_ratio, 3 more }

Human-readable field variants. Will not be null when query param with_text is true.

flash_loan_fee: string
liquidation_fee: string
stake_collateral_ratio: string
stake_flash_loan_ratio: string
staking_health_modifier: string
time_window_nanos: string
flash_loan_fee: string

The coefficient used to calculate the flash loan fee. should be ~= 0.01 must be <= 1.0

flash_loans_enabled: boolean

Whether flash loans are enabled or not

hinj: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
liquidation_fee: string

The coefficient use to calculate the liquidation protocol fee. should be ~= 0.01 must be <= 1.0

nept: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
partial_liquidation_threshold: string

Minimum account value to avoid complete liquidation.

stake_collateral_ratio: string

The required ratio of weighted staked NEPT to collateral value to obtain the maximum staking health modifier. should be ~= 0.1 must be <= 1.0

stake_flash_loan_ratio: string

The required ratio of weighted staked NEPT to flash loan value should be ~= 0.05 must be <= 1.0

staking_health_modifier: string

The maximum health increase provided by staking. should be ~= 0.05 and must be <= 1.0

target_liquidation_health: string

The account health target for a liquidation. should be ~= 1.02 must be >= 1.0

time_window_nanos: number

Number of nanoseconds that an oracle price is valid for.

formatuint64
minimum0
MarketRate = object { apr, apy, extra }
apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
MergedMarket = object { asset_info, borrow_collateral, borrow_debt, lend }

Data for all of an assets markets

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

borrow_collateral: BorrowCollateralMarketData { config, state }

Info for asset as collateral for borrow market, if one exists

config: BorrowCollateralConfig { allowable_ltv, collateral_cap, enabled, 4 more }

Collateral configuration parameters

allowable_ltv: string

The loan to value ratio at which we allow collateral withdrawals or borrows.

collateral_cap: string

The optional, global/shared maximum deposit limit for this collateral.

enabled: boolean

Collateral enabled state

extra: object { text, value }
text: object { allowable_ltv, collateral_cap, liquidation_ltv, 2 more }

Human-readable field variants. Will not be null when query param with_text is true.

allowable_ltv: string
collateral_cap: string
liquidation_ltv: string
max_discount: string
min_discount: string
value: object { collateral_cap, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_cap: string
extra: object { text }
text: object { collateral_cap, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_cap: optional string
price: optional string

Text representation of price

price: string

Price used in value calculations

liquidation_ltv: string

The loan to value ratio at which the collateral can be liquidated.

max_discount: string

The maximum dynamic discount

min_discount: string

The minimum dynamic discount.

state: BorrowCollateralState { balance, collateral_sum, extra }

Current collateral state

balance: string
collateral_sum: string

Total amount of this asset which is actively collateralized

extra: object { text, value }
text: object { collateral_sum }

Human-readable field variants. Will not be null when query param with_text is true.

collateral_sum: string
value: object { collateral_sum, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_sum: string
extra: object { text }
text: object { collateral_sum, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_sum: string
price: string

Text representation of price

price: string

Price used in value calculations

borrow_debt: BorrowDebtMarketData { config, rate, state }

Info for asset as debt for borrow market, if one exists

config: BorrowDebtConfig { borrow_cap, borrow_halt_utilization, enabled, 2 more }

Debt market configuration parameters

borrow_cap: string

The global max amount which can be borrowed

borrow_halt_utilization: string

The maximum utilization ratio at which new borrow positions can be opened.

enabled: boolean

Market enabled state

extra: object { text, value }
text: object { borrow_cap, borrow_halt_utilization, interest_fee }

Human-readable field variants. Will not be null when query param with_text is true.

borrow_cap: string
borrow_halt_utilization: string
interest_fee: string
value: object { borrow_cap, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

borrow_cap: string
extra: object { text }
text: object { borrow_cap, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

borrow_cap: optional string
price: optional string

Text representation of price

price: string

Price used in value calculations

interest_fee: string

The protocol (base) interest rate that is charged to borrowers.

rate: MarketRate { apr, apy, extra }

Market rates

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
state: BorrowDebtState { balance_sum, extra, principal_sum, 2 more }

Current debt market state

balance_sum: string
extra: object { text, value }
text: object { balance_sum, principal_sum, time_last_distributed_interest }

Human-readable field variants. Will not be null when query param with_text is true.

balance_sum: string
principal_sum: string
time_last_distributed_interest: string
value: object { balance_sum, extra, price, principal_sum }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

balance_sum: string
extra: object { text }
text: object { balance_sum, price, principal_sum }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

balance_sum: string
price: string

Text representation of price

principal_sum: string
price: string

Price used in value calculations

principal_sum: string
principal_sum: string
time_last_distributed_interest: string

Timestamp used to keep track of the last time interest was distributed.

formatdate-time
utilization_accumulator: string

Asset utilization tracker.

lend: LendMarketData { rate, state }

Info for asset's lending market, if one exists

rate: MarketRate { apr, apy, extra }

Lending market rates

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
state: LendMarketState { extra, principal_sum, receipt_total_supply, redemption_ratio }

Current lending market state

extra: object { text, value }
text: object { principal_sum, receipt_total_supply, redemption_ratio }

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: string
receipt_total_supply: string
redemption_ratio: string
value: object { extra, price, principal_sum }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal_sum }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal_sum: string
price: string

Price used in value calculations

principal_sum: string
principal_sum: string

The total amount of the asset deposited for lending in the market.

receipt_total_supply: string
redemption_ratio: string

MarketsLend

Get lending markets
GET/api/v1/markets/lend
Lookup lending market by asset
GET/api/v1/markets/lend/lookup
Get historical lending rates for assets
GET/api/v1/markets/lend/rate-history
ModelsExpand Collapse
LendMarket = object { asset_info, rate, state }

Lending market overview

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

rate: MarketRate { apr, apy, extra }

Lending market rates

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
state: LendMarketState { extra, principal_sum, receipt_total_supply, redemption_ratio }

Current lending market state

extra: object { text, value }
text: object { principal_sum, receipt_total_supply, redemption_ratio }

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: string
receipt_total_supply: string
redemption_ratio: string
value: object { extra, price, principal_sum }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal_sum }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal_sum: string
price: string

Price used in value calculations

principal_sum: string
principal_sum: string

The total amount of the asset deposited for lending in the market.

receipt_total_supply: string
redemption_ratio: string
LendMarketData = object { rate, state }
rate: MarketRate { apr, apy, extra }

Lending market rates

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
state: LendMarketState { extra, principal_sum, receipt_total_supply, redemption_ratio }

Current lending market state

extra: object { text, value }
text: object { principal_sum, receipt_total_supply, redemption_ratio }

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: string
receipt_total_supply: string
redemption_ratio: string
value: object { extra, price, principal_sum }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal_sum }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal_sum: string
price: string

Price used in value calculations

principal_sum: string
principal_sum: string

The total amount of the asset deposited for lending in the market.

receipt_total_supply: string
redemption_ratio: string
LendMarketState = object { extra, principal_sum, receipt_total_supply, redemption_ratio }
extra: object { text, value }
text: object { principal_sum, receipt_total_supply, redemption_ratio }

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: string
receipt_total_supply: string
redemption_ratio: string
value: object { extra, price, principal_sum }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal_sum }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal_sum: string
price: string

Price used in value calculations

principal_sum: string
principal_sum: string

The total amount of the asset deposited for lending in the market.

receipt_total_supply: string
redemption_ratio: string

MarketsBorrow

Get borrowing market overview
GET/api/v1/markets/borrow
Get historical borrowing rates for assets
GET/api/v1/markets/borrow/rate-history
ModelsExpand Collapse
BorrowMarketOverview = object { collaterals, debts }
collaterals: array of BorrowCollateralMarket { asset_info, config, state }

Borrowing collateral markets

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

config: BorrowCollateralConfig { allowable_ltv, collateral_cap, enabled, 4 more }

Collateral configuration parameters

allowable_ltv: string

The loan to value ratio at which we allow collateral withdrawals or borrows.

collateral_cap: string

The optional, global/shared maximum deposit limit for this collateral.

enabled: boolean

Collateral enabled state

extra: object { text, value }
text: object { allowable_ltv, collateral_cap, liquidation_ltv, 2 more }

Human-readable field variants. Will not be null when query param with_text is true.

allowable_ltv: string
collateral_cap: string
liquidation_ltv: string
max_discount: string
min_discount: string
value: object { collateral_cap, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_cap: string
extra: object { text }
text: object { collateral_cap, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_cap: optional string
price: optional string

Text representation of price

price: string

Price used in value calculations

liquidation_ltv: string

The loan to value ratio at which the collateral can be liquidated.

max_discount: string

The maximum dynamic discount

min_discount: string

The minimum dynamic discount.

state: BorrowCollateralState { balance, collateral_sum, extra }

Current collateral state

balance: string
collateral_sum: string

Total amount of this asset which is actively collateralized

extra: object { text, value }
text: object { collateral_sum }

Human-readable field variants. Will not be null when query param with_text is true.

collateral_sum: string
value: object { collateral_sum, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_sum: string
extra: object { text }
text: object { collateral_sum, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_sum: string
price: string

Text representation of price

price: string

Price used in value calculations

debts: array of BorrowDebtMarket { asset_info, config, rate, state }

Borrowing debt markets

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

config: BorrowDebtConfig { borrow_cap, borrow_halt_utilization, enabled, 2 more }

Debt market configuration parameters

borrow_cap: string

The global max amount which can be borrowed

borrow_halt_utilization: string

The maximum utilization ratio at which new borrow positions can be opened.

enabled: boolean

Market enabled state

extra: object { text, value }
text: object { borrow_cap, borrow_halt_utilization, interest_fee }

Human-readable field variants. Will not be null when query param with_text is true.

borrow_cap: string
borrow_halt_utilization: string
interest_fee: string
value: object { borrow_cap, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

borrow_cap: string
extra: object { text }
text: object { borrow_cap, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

borrow_cap: optional string
price: optional string

Text representation of price

price: string

Price used in value calculations

interest_fee: string

The protocol (base) interest rate that is charged to borrowers.

rate: MarketRate { apr, apy, extra }

Market rates

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
state: BorrowDebtState { balance_sum, extra, principal_sum, 2 more }

Current debt market state

balance_sum: string
extra: object { text, value }
text: object { balance_sum, principal_sum, time_last_distributed_interest }

Human-readable field variants. Will not be null when query param with_text is true.

balance_sum: string
principal_sum: string
time_last_distributed_interest: string
value: object { balance_sum, extra, price, principal_sum }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

balance_sum: string
extra: object { text }
text: object { balance_sum, price, principal_sum }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

balance_sum: string
price: string

Text representation of price

principal_sum: string
price: string

Price used in value calculations

principal_sum: string
principal_sum: string
time_last_distributed_interest: string

Timestamp used to keep track of the last time interest was distributed.

formatdate-time
utilization_accumulator: string

Asset utilization tracker.

MarketsBorrowCollaterals

Get borrowing collateral markets
GET/api/v1/markets/borrow/collaterals
Lookup borrowing market collateral by asset
GET/api/v1/markets/borrow/collaterals/lookup
ModelsExpand Collapse
BorrowCollateralConfig = object { allowable_ltv, collateral_cap, enabled, 4 more }
allowable_ltv: string

The loan to value ratio at which we allow collateral withdrawals or borrows.

collateral_cap: string

The optional, global/shared maximum deposit limit for this collateral.

enabled: boolean

Collateral enabled state

extra: object { text, value }
text: object { allowable_ltv, collateral_cap, liquidation_ltv, 2 more }

Human-readable field variants. Will not be null when query param with_text is true.

allowable_ltv: string
collateral_cap: string
liquidation_ltv: string
max_discount: string
min_discount: string
value: object { collateral_cap, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_cap: string
extra: object { text }
text: object { collateral_cap, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_cap: optional string
price: optional string

Text representation of price

price: string

Price used in value calculations

liquidation_ltv: string

The loan to value ratio at which the collateral can be liquidated.

max_discount: string

The maximum dynamic discount

min_discount: string

The minimum dynamic discount.

BorrowCollateralMarket = object { asset_info, config, state }

Borrowing market, collateral info

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

config: BorrowCollateralConfig { allowable_ltv, collateral_cap, enabled, 4 more }

Collateral configuration parameters

allowable_ltv: string

The loan to value ratio at which we allow collateral withdrawals or borrows.

collateral_cap: string

The optional, global/shared maximum deposit limit for this collateral.

enabled: boolean

Collateral enabled state

extra: object { text, value }
text: object { allowable_ltv, collateral_cap, liquidation_ltv, 2 more }

Human-readable field variants. Will not be null when query param with_text is true.

allowable_ltv: string
collateral_cap: string
liquidation_ltv: string
max_discount: string
min_discount: string
value: object { collateral_cap, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_cap: string
extra: object { text }
text: object { collateral_cap, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_cap: optional string
price: optional string

Text representation of price

price: string

Price used in value calculations

liquidation_ltv: string

The loan to value ratio at which the collateral can be liquidated.

max_discount: string

The maximum dynamic discount

min_discount: string

The minimum dynamic discount.

state: BorrowCollateralState { balance, collateral_sum, extra }

Current collateral state

balance: string
collateral_sum: string

Total amount of this asset which is actively collateralized

extra: object { text, value }
text: object { collateral_sum }

Human-readable field variants. Will not be null when query param with_text is true.

collateral_sum: string
value: object { collateral_sum, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_sum: string
extra: object { text }
text: object { collateral_sum, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_sum: string
price: string

Text representation of price

price: string

Price used in value calculations

BorrowCollateralMarketData = object { config, state }
config: BorrowCollateralConfig { allowable_ltv, collateral_cap, enabled, 4 more }

Collateral configuration parameters

allowable_ltv: string

The loan to value ratio at which we allow collateral withdrawals or borrows.

collateral_cap: string

The optional, global/shared maximum deposit limit for this collateral.

enabled: boolean

Collateral enabled state

extra: object { text, value }
text: object { allowable_ltv, collateral_cap, liquidation_ltv, 2 more }

Human-readable field variants. Will not be null when query param with_text is true.

allowable_ltv: string
collateral_cap: string
liquidation_ltv: string
max_discount: string
min_discount: string
value: object { collateral_cap, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_cap: string
extra: object { text }
text: object { collateral_cap, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_cap: optional string
price: optional string

Text representation of price

price: string

Price used in value calculations

liquidation_ltv: string

The loan to value ratio at which the collateral can be liquidated.

max_discount: string

The maximum dynamic discount

min_discount: string

The minimum dynamic discount.

state: BorrowCollateralState { balance, collateral_sum, extra }

Current collateral state

balance: string
collateral_sum: string

Total amount of this asset which is actively collateralized

extra: object { text, value }
text: object { collateral_sum }

Human-readable field variants. Will not be null when query param with_text is true.

collateral_sum: string
value: object { collateral_sum, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_sum: string
extra: object { text }
text: object { collateral_sum, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_sum: string
price: string

Text representation of price

price: string

Price used in value calculations

BorrowCollateralState = object { balance, collateral_sum, extra }
balance: string
collateral_sum: string

Total amount of this asset which is actively collateralized

extra: object { text, value }
text: object { collateral_sum }

Human-readable field variants. Will not be null when query param with_text is true.

collateral_sum: string
value: object { collateral_sum, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateral_sum: string
extra: object { text }
text: object { collateral_sum, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateral_sum: string
price: string

Text representation of price

price: string

Price used in value calculations

MarketsBorrowDebts

Get borrowing debt markets
GET/api/v1/markets/borrow/debts
Lookup borrowing debt market by asset
GET/api/v1/markets/borrow/debts/lookup
ModelsExpand Collapse
BorrowDebtConfig = object { borrow_cap, borrow_halt_utilization, enabled, 2 more }
borrow_cap: string

The global max amount which can be borrowed

borrow_halt_utilization: string

The maximum utilization ratio at which new borrow positions can be opened.

enabled: boolean

Market enabled state

extra: object { text, value }
text: object { borrow_cap, borrow_halt_utilization, interest_fee }

Human-readable field variants. Will not be null when query param with_text is true.

borrow_cap: string
borrow_halt_utilization: string
interest_fee: string
value: object { borrow_cap, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

borrow_cap: string
extra: object { text }
text: object { borrow_cap, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

borrow_cap: optional string
price: optional string

Text representation of price

price: string

Price used in value calculations

interest_fee: string

The protocol (base) interest rate that is charged to borrowers.

BorrowDebtMarket = object { asset_info, config, rate, state }

Borrowing market, debt info

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

config: BorrowDebtConfig { borrow_cap, borrow_halt_utilization, enabled, 2 more }

Debt market configuration parameters

borrow_cap: string

The global max amount which can be borrowed

borrow_halt_utilization: string

The maximum utilization ratio at which new borrow positions can be opened.

enabled: boolean

Market enabled state

extra: object { text, value }
text: object { borrow_cap, borrow_halt_utilization, interest_fee }

Human-readable field variants. Will not be null when query param with_text is true.

borrow_cap: string
borrow_halt_utilization: string
interest_fee: string
value: object { borrow_cap, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

borrow_cap: string
extra: object { text }
text: object { borrow_cap, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

borrow_cap: optional string
price: optional string

Text representation of price

price: string

Price used in value calculations

interest_fee: string

The protocol (base) interest rate that is charged to borrowers.

rate: MarketRate { apr, apy, extra }

Market rates

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
state: BorrowDebtState { balance_sum, extra, principal_sum, 2 more }

Current debt market state

balance_sum: string
extra: object { text, value }
text: object { balance_sum, principal_sum, time_last_distributed_interest }

Human-readable field variants. Will not be null when query param with_text is true.

balance_sum: string
principal_sum: string
time_last_distributed_interest: string
value: object { balance_sum, extra, price, principal_sum }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

balance_sum: string
extra: object { text }
text: object { balance_sum, price, principal_sum }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

balance_sum: string
price: string

Text representation of price

principal_sum: string
price: string

Price used in value calculations

principal_sum: string
principal_sum: string
time_last_distributed_interest: string

Timestamp used to keep track of the last time interest was distributed.

formatdate-time
utilization_accumulator: string

Asset utilization tracker.

BorrowDebtMarketData = object { config, rate, state }
config: BorrowDebtConfig { borrow_cap, borrow_halt_utilization, enabled, 2 more }

Debt market configuration parameters

borrow_cap: string

The global max amount which can be borrowed

borrow_halt_utilization: string

The maximum utilization ratio at which new borrow positions can be opened.

enabled: boolean

Market enabled state

extra: object { text, value }
text: object { borrow_cap, borrow_halt_utilization, interest_fee }

Human-readable field variants. Will not be null when query param with_text is true.

borrow_cap: string
borrow_halt_utilization: string
interest_fee: string
value: object { borrow_cap, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

borrow_cap: string
extra: object { text }
text: object { borrow_cap, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

borrow_cap: optional string
price: optional string

Text representation of price

price: string

Price used in value calculations

interest_fee: string

The protocol (base) interest rate that is charged to borrowers.

rate: MarketRate { apr, apy, extra }

Market rates

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
state: BorrowDebtState { balance_sum, extra, principal_sum, 2 more }

Current debt market state

balance_sum: string
extra: object { text, value }
text: object { balance_sum, principal_sum, time_last_distributed_interest }

Human-readable field variants. Will not be null when query param with_text is true.

balance_sum: string
principal_sum: string
time_last_distributed_interest: string
value: object { balance_sum, extra, price, principal_sum }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

balance_sum: string
extra: object { text }
text: object { balance_sum, price, principal_sum }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

balance_sum: string
price: string

Text representation of price

principal_sum: string
price: string

Price used in value calculations

principal_sum: string
principal_sum: string
time_last_distributed_interest: string

Timestamp used to keep track of the last time interest was distributed.

formatdate-time
utilization_accumulator: string

Asset utilization tracker.

BorrowDebtState = object { balance_sum, extra, principal_sum, 2 more }
balance_sum: string
extra: object { text, value }
text: object { balance_sum, principal_sum, time_last_distributed_interest }

Human-readable field variants. Will not be null when query param with_text is true.

balance_sum: string
principal_sum: string
time_last_distributed_interest: string
value: object { balance_sum, extra, price, principal_sum }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

balance_sum: string
extra: object { text }
text: object { balance_sum, price, principal_sum }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

balance_sum: string
price: string

Text representation of price

principal_sum: string
price: string

Price used in value calculations

principal_sum: string
principal_sum: string
time_last_distributed_interest: string

Timestamp used to keep track of the last time interest was distributed.

formatdate-time
utilization_accumulator: string

Asset utilization tracker.